Bug 1763191 - Silent failure adding ps2 input device on s390x
Summary: Silent failure adding ps2 input device on s390x
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: libvirt
Version: 8.0
Hardware: s390x
OS: Linux
unspecified
unspecified
Target Milestone: rc
: 8.3
Assignee: Michal Privoznik
QA Contact: smitterl
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-18 12:53 UTC by smitterl
Modified: 2020-11-04 02:54 UTC (History)
8 users (show)

Fixed In Version: libvirt-6.0.0-23.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1845055 (view as bug list)
Environment:
Last Closed: 2020-11-04 02:53:03 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4676 0 None None None 2020-11-04 02:54:00 UTC

Description smitterl 2019-10-18 12:53:31 UTC
Description of problem:
Added PS/2 input device to guest is ignored on s390x

Version-Release number of selected component (if applicable):
libvirt-4.5.0-24.3.module+el8.0.0+3748+44021654

How reproducible:
Always


Steps to Reproduce:
1. Add PS/2 device to guest, e.g. <input type='keyboard' bus='ps2'/>
2. Start guest

Actual results:
Starts successfully, device not available.

Expected results:
Configuration error displayed.

Comment 1 Thomas Huth 2020-01-15 12:38:50 UTC
I've suggested a patch for this problem here:
https://www.redhat.com/archives/libvir-list/2020-January/msg00676.html

Comment 2 Michal Privoznik 2020-01-23 13:25:11 UTC
I've pushed the patch upstream:

e7a65484ba qemu: Refuse to use "ps2" on machines that do not have this bus

v6.0.0-76-ge7a65484ba

Comment 3 Michal Privoznik 2020-04-02 07:19:42 UTC
Moving to POST per comment 2.

Comment 9 smitterl 2020-06-30 08:27:25 UTC
Verfied https://bugzilla.redhat.com/show_bug.cgi?id=1845055#c4

Comment 12 errata-xmlrpc 2020-11-04 02:53:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: virt:rhel and virt-devel:rhel security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4676


Note You need to log in before you can comment on or make changes to this bug.